import 'package:flutter/material.dart';

Future dialog(BuildContext context, Widget child) async {
  return showDialog(useSafeArea: false, context: context, builder: (_) {
    return child;
  });
}

Future navigate(BuildContext context, Widget child) async {
  return Navigator.push(context, MaterialPageRoute(builder: (context) {
    return child;
  }));
}

double getBottomPadding(BuildContext context, GlobalKey globalKey) {
  final RenderBox renderBox = globalKey.currentContext.findRenderObject();

  double height;

  height = MediaQuery.of(context).size.height;

  final double bottomPadding = height + renderBox.globalToLocal(Offset.zero).dy - renderBox.size.height;

  return bottomPadding;
}