import 'package:flutter/material.dart';

class SizingView extends StatelessWidget {
  final dynamic sizingInformation;
  final Widget desktopView;
  final Widget mobileView;

  SizingView({
    this.sizingInformation,
    this.desktopView,
    this.mobileView
  });

  @override
  Widget build(BuildContext context) {
    final Widget widget = sizingInformation.isDesktop
        ? desktopView : mobileView;

    return widget;
  }
}
